=== debian/control ===
Source: mypy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: utils
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-wheel,
               flake8,
               help2man,
               python3-all,
               python3-lxml,
               python3-attr <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-sphinx <!nodoc>,
               furo <!nodoc>,
               python3-typeshed,
               python3-psutil,
               python3-mypy-extensions,
               python3-typing-extensions,
               python3-virtualenv <!nocheck>,
               python3-typeshed <!nocheck>,
               python3-all-dev,
               python3-tomli,
               python3-venv <!nocheck>,
               python3-doc <!nodoc>,
               cython-doc <!nodoc>,
               python-six-doc <!nodoc>,
               python-setuptools-doc <!nodoc>,
               python-attr-doc <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
Homepage: https://www.mypy-lang.org/
Rules-Requires-Root: no

Package: mypy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-mypy (>= ${binary:Version})
Recommends: python3-typeshed
Suggests: mypy-doc
Description: optional static typing for Python
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the command-line interface.

Package: mypy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-doc,
          cython-doc,
          python-six-doc,
          python-setuptools-doc,
          python-attr-doc
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for mypy
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python3-mypy
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-mypy-extensions,
         python3-psutil,
         python3-pkg-resources
Recommends: python3-lxml,
            python3-setuptools
Description: public modules for mypy (Python 3)
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the modules for Python 3.
