## mypy 1.9.0

=== debian/changelog ===
mypy (1.9.0-4ubuntu1) noble; urgency=medium

  * Drop versioned dependencies on python3-pytest (>= 8.1.0),
    not yet available in Noble
  * Skip tests failing with older pytest

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Apr 2024 09:51:56 +0000

mypy (1.9.0-4) unstable; urgency=medium

  * d/{tests/,}control: Pin the minimum version of pytest
  * d/rules: try MYPYC_MULTI_FILE=1 on weaker archs instead of other
    build tricks.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 07:45:33 +0100

mypy (1.9.0-3) unstable; urgency=medium

  * Added patch to fix FTBFS with Pytest 8.1+

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Mar 2024 16:52:29 +0100

mypy (1.9.0-2) unstable; urgency=medium

  * d/patches/typing_extensions_4.10.path: cherry-pick from upstream.
    Closes: #1065805.
  * d/control: pin minimum version of the typing_extensions dependency to 4.10

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 14:37:18 +0100

mypy (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches.
  * d/upstream/metadata: link to the changelog.
  * d/patches/self_check.patch: cherry-picked from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Mar 2024 09:33:10 +0100
