=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mypy
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-python
@@ -14,6 +15,7 @@
                python3-all,
                python3-lxml,
                python3-attr <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
@@ -21,7 +23,7 @@
                python3-typeshed,
                python3-psutil,
                python3-mypy-extensions,
-               python3-typing-extensions,
+               python3-typing-extensions (>= 4.10.0),
                python3-virtualenv <!nocheck>,
                python3-typeshed <!nocheck>,
                python3-all-dev,
