=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
+export PYBUILD_DISABLE=test
 export PYBUILD_DESTDIR_python3=debian/python3-mypy
 export PYBUILD_NAME=mypy
 PY3VERS=$(shell py3versions -vr)
@@ -12,14 +13,8 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
 
-ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
-  export MYPYC_OPT_LEVEL=2
-else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf hppa))
-  export MYPYC_OPT_LEVEL=1
-endif
-ifeq ($(DEB_HOST_ARCH_BITS), 32)
-  export DEB_CFLAGS_MAINT_APPEND += -g1
-  export DEB_CXXFLAGS_MAINT_APPEND += -g1
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
+  export MYPYC_MULTI_FILE=1
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
   export DEB_CFLAGS_MAINT_APPEND += -mxgot
@@ -48,11 +43,7 @@
 	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@
 
 override_dh_auto_build-arch:
-ifneq (,$(filter $(DEB_BUILD_ARCH), riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
-	MYPY_USE_MYPYC=0 dh_auto_build
-else
 	MYPY_USE_MYPYC=1 dh_auto_build
-endif
 
 override_dh_auto_build-indep: manpages
 	MYPY_USE_MYPYC=0 dh_auto_build
