## mypy 1.10.0

=== debian/changelog ===
mypy (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * Remove patches applied upstream: self_check, typing_extensions_4.10, pytest8
  * d/patches/intersphinx: updated path for cython3 & six docs
  * d/control: mypy-doc, bump suggests to recommends

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 24 Apr 2024 17:13:26 +0300
