## mypy 1.10.1

=== debian/changelog ===
mypy (1.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:16:18 +0200
