## mypy 1.11.0

=== debian/changelog ===
mypy (1.11.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed intersphinx patch to link to the local docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 10:04:42 +0200
