=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mypy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-python
@@ -15,7 +14,7 @@
                python3-all,
                python3-lxml,
                python3-attr <!nocheck>,
-               python3-pytest <!nocheck>,
+               python3-pytest (>= 8.1.0) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
@@ -62,11 +61,11 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Suggests: python3-doc,
-          cython-doc,
-          python-six-doc,
-          python-setuptools-doc,
-          python-attr-doc
+Recommends: python3-doc,
+            cython-doc,
+            python-six-doc,
+            python-setuptools-doc,
+            python-attr-doc
 Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for mypy
  Add type annotations to your Python programs, and use mypy to type check them.
