=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-export PYBUILD_DISABLE=test
 export PYBUILD_DESTDIR_python3=debian/python3-mypy
 export PYBUILD_NAME=mypy
 PY3VERS=$(shell py3versions -vr)
