## mypy 1.11.1

=== debian/changelog ===
mypy (1.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 15:20:23 +0200
