## mypy 1.13.0

=== debian/changelog ===
mypy (1.13.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the patches
  * recommend python3-orjson for a faster cache

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Oct 2024 17:12:46 +0200

mypy (1.12.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Oct 2024 08:49:07 +0200

mypy (1.12.0-1) unstable; urgency=medium

  * New upstream version supports Python 3.13. Closes: #1081617
  * d/control: docs now need python3-myst-parser
  * d/control: adjust python dev build-deps to be more crossbuild
    friendly.
  * d/control: add some minimum versions to the {build-,}deps
  * d/control: drop python3-pkg-resources dependency, it is unneeded.
    Closes: #1083500

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 14 Oct 2024 14:06:23 +0200

mypy (1.11.2-3) unstable; urgency=medium

  * d/rules: adjust build flags for mips64el

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 11:27:22 +0200

mypy (1.11.2-2) unstable; urgency=medium

  * d/tests/run-unit-test: also run the mypyc tests
  * d/tests/run-unit-test: skip some tests that are not runnable post-
    installation.
  * d/tests/control: need g++ for mypyc tests

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 04 Sep 2024 15:09:45 +0200

mypy (1.11.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: removed the patches that were cherry-picked from upstream
    that are now apart of the new release.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 09:31:14 +0900

mypy (1.11.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:55:57 +0200

mypy (1.11.1-2~0exp1) experimental; urgency=medium

  * d/rules: compile with less debugging on i386 to avoid running out of
    virtual memory.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 12:46:40 +0200

mypy (1.11.1-2~0exp0) experimental; urgency=medium

  * d/patches: cherry-pick 3 patches from upstream to fix a regression
    found in SQLalchemy
  * d/rules: add "-Wno-misleading-indentation" as there are too many
    lines of autogenerated code to care about such a thing.
  * Include snapshot of the sphinx objects from monkeytype.org, updated
    intersphinx patch to use them to generate valid links to those external
    docs.
  * Silence many lintian warnings that have been reported upstream
  * Also build the mypyc docs
  * d/rules: compile with a normal debugging level: -g2
  * Simplify the nodoc logic

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Aug 2024 15:51:13 +0200
