=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,24 @@
 PY3VERS=$(shell py3versions -vr)
 
 include /usr/share/dpkg/pkg-info.mk
-ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	WITH += --with sphinxdoc
-endif
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
 
-ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mips64el hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
   export MYPYC_MULTI_FILE=1
 endif
-ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
-  export DEB_CFLAGS_MAINT_APPEND += -mxgot
+
+export DEB_CFLAGS_MAINT_APPEND += -Wno-misleading-indentation
+
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 x32))
+  export MYPYC_DEBUG_LEVEL=1
+else
+  export MYPYC_DEBUG_LEVEL=2
 endif
 
 %:
-	dh $@ $(WITH) --buildsystem=pybuild
+	dh $@  --buildsystem=pybuild
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 manpages: debian/sphinx/mypy_options.rst debian/sphinx/stubgen_options.rst debian/dmypy.1 debian/mypy.1 debian/stubgen.1
@@ -48,23 +50,28 @@
 	MYPY_USE_MYPYC=0 dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
+	PYTHONPATH=$(CURDIR) $(MAKE) -C mypyc/doc html
+	mv mypyc/doc/_build/html mypyc/doc/_build/mypyc
 endif
 
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	$(MAKE) -C docs clean
+	$(MAKE) -C mypyc/doc clean
 	rm -rf debian/.doctrees
 	rm -f  debian/sphinx/dmypy_options.rst
 	rm -f  debian/sphinx/mypy_options.rst
 	rm -f  debian/sphinx/stubgen_options.rst
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin
 	rm -Rf debian/python3-mypy/usr/bin
+	find debian -name LICENSE -delete
+
+execute_after_dh_python3:
+	rm -rf debian/python3-mypy/usr/lib/python3/dist-packages/mypyc/doc/
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
@@ -86,4 +93,7 @@
 override_dh_auto_test-indep:
 	echo No tests to run for the "mypy" package, only for "python3-mypy"
 
+download_remote_intersphinx_inventories:
+	curl https://monkeytype.readthedocs.io/en/latest/objects.inv -o debian/intersphinx/monkeytype_objects.inv
+
 .PHONY: manpages
