## mypy 1.14.1

=== debian/changelog ===
mypy (1.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 01 Jan 2025 19:18:35 -0800

mypy (1.14.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: update build-depends, remove python3-wheel.
  * Refreshed patches
  * d/source/lintian-overrides: unneeded, removed
  * testing: skip testDaemonStatusKillRestartRecheck

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 20 Dec 2024 19:46:11 -0800

mypy (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * drop Depends: python3-orjson on arches alongside i386 where it is
    not available (rust is not available) [!alpha !hppa !m68k !sh4 !x32]
    See Bug#1087727. Closes: #1087661, #1087662.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 19:57:54 +0100
