=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                dh-sequence-sphinxdoc <!nodoc>,
                python3-setuptools,
                pybuild-plugin-pyproject,
-               python3-wheel,
                flake8,
                help2man,
                python3-all,
@@ -28,7 +27,7 @@
                python3-typeshed <!nocheck>,
                python3-all-dev:native,
                libpython3-all-dev,
-               python3-tomli,
+               python3-tomli <!nocheck>,
                python3-venv <!nocheck>,
                python3-doc <!nodoc>,
                cython-doc <!nodoc>,
@@ -36,8 +35,8 @@
                python-setuptools-doc <!nodoc>,
                python-attr-doc <!nodoc>,
                python3-myst-parser <!nodoc>,
-               python3-orjson [!i386] <!nocheck>,
-Standards-Version: 4.6.2
+               python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
 Homepage: https://www.mypy-lang.org/
@@ -91,7 +90,7 @@
          python3-psutil
 Recommends: python3-lxml (>= 4.9.1),
             python3-setuptools,
-            python3-orjson [!i386]
+            python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32]
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many
