## mypy 1.15.0

=== debian/changelog ===
mypy (1.15.0-5) unstable; urgency=medium

  * Team upload.
  * Replace old typing_extensions imports in tests (closes: #1101856).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 18:08:15 +0100

mypy (1.15.0-4) unstable; urgency=medium

  * Team upload.
  * Unset CFLAGS when running tests (closes: #1098578).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 16:40:29 +0000

mypy (1.15.0-3) unstable; urgency=medium

  * Added patch to fix the Python3.12 build with gcc-15. Closes:
    #1097426

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Feb 2025 01:40:12 +0100

mypy (1.15.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add hurd-amd64 to list of architectures that use the multifile option

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 17 Feb 2025 08:18:50 +0100

mypy (1.15.0-2) unstable; urgency=medium

  [ Mattias Ellert ]
  * d/patches/gnu-hurd-getsockname: Address failing tests on GNU/Hurd
    - https://github.com/python/mypy/pull/18630
    (Closes: #1095420)
  * d/rules: Fix x32 build by using multifile option
  * d/rules: Use multifile option for all architectures that require reduced
    memory usage during compilation for consistency
    - i386 was using reduced the debug level instead
    - hurd-i386 was using both, which was an overkill
    - x32 was intending to use reduced debug level, but DEB_HOST_ARCH_CPU
      on x32 is amd64 so the filter did not match

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 11 Feb 2025 16:07:42 +0100

mypy (1.15.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 05 Feb 2025 08:50:46 +0100

mypy (1.15~rc0.2-1) experimental; urgency=medium

  * d/rules: added a build profile extension: pkg.mypy.multifile to speed up
    compilation by enabling MYPYC_MULTI_FILE=1 even on architectures where
    we don't normally do that.
  * d/rules: added a build profile extension: pkg.mypy.o1 to speed up
    compilation by enabling MYPYC_OPT_LEVEL=1 → -O1 instead of -O3
  * d/rules: enable building the python extensions in parallel, respecting
    DEB_BUILD_OPTIONS.
  * d/salsa-ci.yml: Enable both of the speed-up build profiles to hopefully
    finish the build within the 3 hour limit.
  * Snapshot from upstream for experimental
    https://github.com/python/mypy/commit/23d862dd6fbb905a69bcb31e88746dc7a1eb4a43
  * Refreshed the patches
  * d/control: added build-dependency on python3-sphinx-inline-tabs for
    the docs
  * mypyc: Install googletest and lib-rt/{setup.py,*.cc} to the correct locations.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 24 Jan 2025 10:21:23 +0100

mypy (1.14.1-3) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing. Unbreaks the build on hurd-* where
    psutil does not work.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Jan 2025 09:24:57 +0100

mypy (1.14.1-2) unstable; urgency=medium

  * d/rules: Applied patch from Samuel Thibault to fix FTBFS on hurd-i386.
    Closes: #1093423

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 16:30:17 +0100
