=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                python-setuptools-doc <!nodoc>,
                python-attr-doc <!nodoc>,
                python3-myst-parser <!nodoc>,
+               python3-sphinx-inline-tabs <!nodoc>,
                python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
