=== debian/tests/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
          python3-pytest-xdist,
          python3-setuptools,
          python3-tomli,
-         python3-orjson [!i386],
+         python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32],
          python3-typeshed (>= 0.0~git20221107.4f381af),
          python3-virtualenv
 Restrictions: allow-stderr
