## mypy 1.16~rc0.1

=== debian/changelog ===
mypy (1.16~rc0.1-1) experimental; urgency=medium

  * New upstream snapshot: https://github.com/python/mypy/commit/
    334469f999c5c777124a123062b4349614447e0d
  * d/patches: drop 3 patches applied upstream: 0005-pythoncapi_compat-
    don-t-define-Py_NULL-if-it-is-alre, gnu-hurd-getsockname, replace-
    old-typing_extensions-imports
  * d/control: new build requirement: python3-pathspec

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 May 2025 13:42:43 +0200
