=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-all,
                python3-lxml (>= 4.9.1),
                python3-attr <!nocheck>,
+               python3-pathspec,
                python3-pytest (>= 8.1.0) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
