## mypy 1.17.1

=== debian/changelog ===
mypy (1.17.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Aug 2025 15:09:14 +0200

mypy (1.17.1-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Aug 2025 13:38:57 +0200
