=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                python3-myst-parser <!nodoc>,
                python3-sphinx-inline-tabs <!nodoc>,
                python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
 Homepage: https://www.mypy-lang.org/
