## mypy 1.18.1

=== debian/changelog ===
mypy (1.18.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: cleanup. applied fix for :unnecessary greater-than
    versioned dependency: python3-lxml (>= 4.9.1). Debian has
    oldoldstable -> 4.6.3+dfsg-0.1+deb11u1; oldstable -> 4.9.2-1+b1;
    stable -> 5.4.0-1; unstable -> 6.0.1-1; testing -> 6.0.1-1;
  * Refreshed patches
  * Set upstream metadata fields: Documentation.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Sep 2025 12:06:23 +0200
