=== debian/changelog ===
mypy (1.18.2-2) unstable; urgency=medium

  * Team upload.
  * Normalize HTML content-type meta (closes: #1120242).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2025 18:32:44 +0000

mypy (1.18.2-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Sep 2025 13:24:28 +0200
