=== debian/rules ===
--- 
+++ 
@@ -2,23 +2,26 @@
 export DH_VERBOSE=1
 export PYBUILD_DESTDIR_python3=debian/python3-mypy
 export PYBUILD_NAME=mypy
-PY3VERS=$(shell py3versions -vr)
+PY3VERS=$(shell py3versions -vs)
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-include /usr/share/dpkg/default.mk
 
-ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mips64el hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mips64el hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64 hurd-i386 i386 x32 hurd-amd64))
+  export MYPYC_MULTI_FILE=1
+endif
+
+ifneq ($(filter pkg.mypy.multifile,$(DEB_BUILD_PROFILES)),)
   export MYPYC_MULTI_FILE=1
 endif
 
 export DEB_CFLAGS_MAINT_APPEND += -Wno-misleading-indentation
 
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 x32))
-  export MYPYC_DEBUG_LEVEL=1
-else
-  export MYPYC_DEBUG_LEVEL=2
+export MYPYC_DEBUG_LEVEL=2
+
+ifneq ($(filter pkg.mypy.o1,$(DEB_BUILD_PROFILES)),)
+  export MYPYC_OPT_LEVEL=1
 endif
 
 %:
@@ -44,7 +47,9 @@
 	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@
 
 override_dh_auto_build-arch:
-	MYPY_USE_MYPYC=1 dh_auto_build
+	echo "[build_ext]\nparallel=$(DEB_BUILD_OPTION_PARALLEL)\n" > $(CURDIR)/debian/extra-setup.cfg
+	DIST_EXTRA_CONFIG=$(CURDIR)/debian/extra-setup.cfg MYPY_USE_MYPYC=1 dh_auto_build
+	rm $(CURDIR)/debian/extra-setup.cfg
 
 override_dh_auto_build-indep: manpages
 	MYPY_USE_MYPYC=0 dh_auto_build
@@ -81,7 +86,7 @@
 		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
 	dh_auto_install
 	set -e; for v in $(PY3VERS); do \
-		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
+		env -u CFLAGS PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n $(DEB_BUILD_OPTION_PARALLEL) \
 		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash or testNoPython3StubAvailable or testIgnoreImportIfNoPython3StubAvailable or PEP561Suite or testDaemonStatusKillRestartRecheck)' \
 		-o python_classes= -o python_functions= ; \
 	done
