=== debian/tests/control ===
Tests: run-unit-test
Depends: gcc, g++,
         @,
         python3-dev,
         python3-attr,
         python3-lxml,
         python3-pytest (>= 8.1.0),
         python3-pytest-xdist,
         python3-setuptools,
         python3-tomli,
         python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32],
         python3-typeshed (>= 0.0~git20221107.4f381af),
         python3-virtualenv,
         python3-all-venv
Restrictions: allow-stderr
