## mypy 1.19.0

=== debian/changelog ===
mypy (1.19.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh the "verbose" patch
    drop "normalize-html-content-type-meta", it was applied upstream
  * d/control: new build-dep, python3-librt

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 28 Nov 2025 19:38:50 +0100
