=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                flake8,
                help2man,
                python3-all,
-               python3-lxml (>= 4.9.1),
+               python3-librt (>= 0.6.2),
+               python3-lxml,
                python3-attr <!nocheck>,
                python3-pathspec,
                python3-pytest (>= 8.1.0) <!nocheck>,
@@ -37,7 +38,7 @@
                python-attr-doc <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-sphinx-inline-tabs <!nodoc>,
-               python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
+               python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
@@ -90,7 +91,7 @@
          ${shlibs:Depends},
          python3-mypy-extensions (>= 1.0.0),
          python3-psutil
-Recommends: python3-lxml (>= 4.9.1),
+Recommends: python3-lxml,
             python3-setuptools,
             python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32]
 Description: public modules for mypy (Python 3)
